<?php



session_start();
require_once 'db/db.php';

if (!isset($_SESSION['user'])) {
    header("Location: index.php");
    exit;
}

$username = $_SESSION['user'];
$userId = $_SESSION['user_id'];

$stmt = $pdo->prepare("SELECT credits FROM reg_users WHERE id = ?");
$stmt->execute([$userId]);
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$creditos = $row['credits'] ?? 0;





$stmt = $pdo->prepare("SELECT COUNT(*) as total FROM reg_users WHERE owner_id = ?");
$stmt->execute([$userId]);
$result = $stmt->fetch(PDO::FETCH_ASSOC);

$totalRevendas = $result['total'];






$token = 'a4b9e4ad1de7e3511b5d83ef66ea905ccac0e1163b5089b7';
$url = "https://api1.fasttv.space/api/v1in/user/?t={$token}&exField1={$userId}&exField2={$username}&limit=1000000";

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Cache-Control: no-cache',
    'Pragma: no-cache',
    'Accept: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);

$clientes = json_decode($response, true);

if (is_array($clientes)) {
    $totalClientes = count($clientes);
} else {
    $totalClientes = 0;
}


?>
<?php include 'includes/header.php'; ?>
<?php include 'includes/sidebar.php'; ?>
<?php include 'includes/navbar.php'; ?>



<div class="content-wrapper">
  <div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
      <div class="col-12 mb-4 order-0">
        <div class="card">
          <div class="row g-0 align-items-center">
            <div class="col-12 col-md-7">
              <div class="card-body">
                <h5 class="card-title text-primary mb-3">Bem-vindo <?= htmlspecialchars($username) ?>! 🎉</h5>
                <p class="mb-4">
                  Você possui <strong><?= $creditos ?></strong> créditos disponíveis.<br />
                  Gerencie suas revendas e venda com responsabilidade.
                </p>
              </div>
            </div>
            <div class="col-12 col-md-5 text-center">
              <div class="card-body pb-0">
                <img
                  src="../panel/assets/img/illustrations/man-with-laptop.png"
                  height="175"
                  class="img-fluid"
                  alt="View Badge User" />
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-12 col-sm-6 col-md-6 col-lg-3 mb-4">
        <div class="card h-100">
          <div class="card-body">
            <div class="d-flex align-items-start justify-content-between mb-3">
              <div class="avatar flex-shrink-0">
                <img src="../panel/assets/img/icons/unicons/chart-success.png" alt="chart success" class="rounded" />
              </div>
            </div>
            <p class="mb-1">Revendas</p>
<h4 class="card-title mb-0"><?= $totalRevendas ?></h4>
          </div>
        </div>
      </div> 

      <div class="col-12 col-sm-6 col-md-6 col-lg-3 mb-4">
        <div class="card h-100">
          <div class="card-body">
            <div class="d-flex align-items-start justify-content-between mb-3">
              <div class="avatar flex-shrink-0">
                <img src="../panel/assets/img/icons/unicons/wallet-info.png" alt="wallet info" class="rounded" />
              </div>
            </div>
<p class="mb-1">Clientes</p>
<h4 class="card-title mb-0"><?= $totalClientes ?></h4>

          </div>
        </div>
      </div>

      <div class="col-12 col-sm-6 col-md-6 col-lg-3 mb-4">
        <div class="card h-100">
          <div class="card-body">
            <div class="d-flex align-items-start justify-content-between mb-3">
              <div class="avatar flex-shrink-0">
                <img src="../panel/assets/img/icons/unicons/paypal.png" alt="paypal" class="rounded" />
              </div>
            </div>
            <p class="mb-1">Total de Vods</p>
            <h4 class="card-title mb-0">112.568</h4>
          </div>
        </div>
      </div>

      <div class="col-12 col-sm-6 col-md-6 col-lg-3 mb-4">
        <div class="card h-100">
          <div class="card-body">
            <div class="d-flex align-items-start justify-content-between mb-3">
              <div class="avatar flex-shrink-0">
                <img src="../panel/assets/img/icons/unicons/cc-primary.png" alt="Credit Card" class="rounded" />
              </div>
            </div>
            <p class="mb-1">Canais Online</p>
            <h4 class="card-title mb-0">835</h4>
          </div>
        </div>
      </div>

    </div>
	
	
	<div class="container-xxl flex-grow-1 container-p-y">
                  <h6 class="text-muted">Informações</h6>
                  <div class="nav-align-top mb-6">
                    <ul class="nav nav-pills mb-4 nav-fill" role="tablist">
                      <li class="nav-item mb-1 mb-sm-0">
                        <button
                          type="button"
                          class="nav-link active"
                          role="tab"
                          data-bs-toggle="tab"
                          data-bs-target="#navs-pills-justified-home"
                          aria-controls="navs-pills-justified-home"
                          aria-selected="true">
                          <span class="d-none d-sm-block"
                            ><i class="tf-icons bx bx-home bx-sm me-1_5 align-text-bottom"></i> Inicio
                            <span class="badge rounded-pill badge-center h-px-20 w-px-20 bg-danger ms-1_5 pt-50"
                              >1</span
                            ></span
                          ><i class="bx bx-home bx-sm d-sm-none"></i>
                        </button>
                      </li>
                      <li class="nav-item mb-1 mb-sm-0">
                        <button
                          type="button"
                          class="nav-link"
                          role="tab"
                          data-bs-toggle="tab"
                          data-bs-target="#navs-pills-justified-profile"
                          aria-controls="navs-pills-justified-profile"
                          aria-selected="false">
                          <span class="d-none d-sm-block"
                            ><i class="tf-icons bx bx-user bx-sm me-1_5 align-text-bottom"></i> Aplicativo                         
							<span class="badge rounded-pill badge-center h-px-20 w-px-20 bg-danger ms-1_5 pt-50"
                              >1</span
                            ></span
                          ><i class="bx bx-user bx-sm d-sm-none"></i>
                        </button>
                      </li>
                      <li class="nav-item">
                        <button
                          type="button"
                          class="nav-link"
                          role="tab"
                          data-bs-toggle="tab"
                          data-bs-target="#navs-pills-justified-messages"
                          aria-controls="navs-pills-justified-messages"
                          aria-selected="false">
                          <span class="d-none d-sm-block"
                            ><i class="tf-icons bx bx-message-square bx-sm me-1_5 align-text-bottom"></i> Avisos</span
                          ><i class="bx bx-message-square bx-sm d-sm-none"></i>
                        </button>
                      </li>
                    </ul>
                    <div class="tab-content">
                      <div class="tab-pane fade show active" id="navs-pills-justified-home" role="tabpanel">
                        <p>
                          <strong>Fast TV Hibrido</strong>
                        </p>
                      <p class="mb-0">
                      <strong>Abaixo algumas informações sobre o novo aplicativo Fast TV Hibrido</strong><br><br>
                      Sistema Hibrido contendo canais Binstream P2P <br>
                      e também a aba de canais IPTV, dois sistemas independentes para melhor atender o cliente!<br>
                      
                      </p>
					  <p class="mb-0">
					  <br><br>
                      <strong>Globos, Premieres, Pluto TV e Hot<br><br></strong>
                      Sistema contendo canais com link original da operadora... A globo disponibiliza as globos gratuitamente, so anexamos no app para uma melhor conexao, tornando muito mais estavel, mesma coisa com o HOT que é o RedTude e a Pluto TV <br>
                      Desfrutem a vontade!
                      </p>
					  
					  <p class="mb-0">
					  <br><br>
                      <strong>Sobre Testes e Ativações<br><br></strong>
                      Teste de 24 Horas gerado automaticamente pelo aplicativo, cliente nao consegue testar novamente pois é pelo MAC<br>
                      Para ativar um cliente, basta pedir o login dele que esta visivel no aplicativo e digitar no botao <strong>"Ativar Cliente"</strong> aqui do painel!
                      </p>
					  
					  <p class="mb-0">
					  <br><br>
                      <strong>Senha Hot<br><br></strong>
                      Senha do menu HOT é 9865<br>
                      </p>
 
                      </div>
                      <div class="tab-pane fade" id="navs-pills-justified-profile" role="tabpanel">
                        <p>
                          <strong>Download do Aplicativo....</strong>
                          <br><br>
                          <strong>Download do APP:</strong> https://aftv.news/9214721
                          <br><br>
                          <strong>Downloader:</strong> 9214721
                        </p>
                     
                      </div>
                      <div class="tab-pane fade" id="navs-pills-justified-messages" role="tabpanel">
                        <p>
                          Avisos sobre o sistema serão postados Aqui!
                        </p>
                        <p class="mb-0">
                         
                        </p>
                      </div>
                    </div>
                  </div>
                </div>
  </div>
  <?php include 'includes/ativar.php'; ?>

</div>
<?php include 'includes/scripts.php'; ?>

<?php include 'includes/modals.php'; ?>


<?php if (isset($_GET['success']) && $_GET['success'] == 1): ?>
<script>
  const successModal = new bootstrap.Modal(document.getElementById('resellerSuccessModal'));
  successModal.show();
</script>
<?php endif; ?>


<?php include 'includes/footer.php'; ?>

