<?php if (isset($_GET['erro_creditos']) && $_GET['erro_creditos'] == 1): ?>
  <div class="toast-container position-fixed bottom-0 start-50 translate-middle-x p-3" style="z-index: 9999">
    <div class="bs-toast toast fade show bg-danger" role="alert" aria-live="assertive" aria-atomic="true">
      <div class="toast-header bg-danger text-white">
        <i class="bx bx-bell me-2"></i>
        <div class="me-auto fw-medium">Erro</div>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="toast" aria-label="Fechar"></button>
      </div>
      <div class="toast-body">Você não possui créditos suficientes!</div>
    </div>
  </div>
<?php endif; ?>

<!-- Toast sucesso cópia -->
<div id="toastCopySuccess" class="toast-container position-fixed bottom-0 start-50 translate-middle-x p-3" style="z-index: 9999">
  <div class="bs-toast toast fade bg-success" role="alert" aria-live="assertive" aria-atomic="true">
    <div class="toast-header">
      <i class="bx bx-bell me-2"></i>
      <div class="me-auto fw-medium">Sucesso</div>
      <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
    </div>
    <div class="toast-body">Dados copiados com sucesso!</div>
  </div>
</div>

<!-- Modal sucesso revendedor -->
<?php if (isset($_GET['success']) && $_GET['success'] == 1): ?>
  <div class="modal fade" id="resellerSuccessModal" aria-labelledby="modalToggleLabel" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="modalToggleLabel"></h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>

        <div class="modal-body" id="dadosRevenda">
          <p class="text-center"><strong>Bem-vindo à Fast TV</strong></p>
          <p><strong>Usuário: </strong> <?= htmlspecialchars($_GET['username']) ?></p>
          <p><strong>Senha: </strong> <?= htmlspecialchars($_GET['senha']) ?></p>
          <p><strong>Link do Painel: </strong> https://uhdsrv.xyz/panel</p>
          <p><strong>Créditos: </strong><?= htmlspecialchars($_GET['credits']) ?></p>
        </div>

        <div class="modal-footer">
          <button class="btn btn-primary me-2" data-bs-dismiss="modal">Fechar</button>
          <button class="btn btn-success" onclick="copiarDados()">Copiar</button>
        </div>
      </div>
    </div>
  </div>

  <script>
    function copiarDados() {
      const el = document.getElementById("dadosRevenda");
      const range = document.createRange();
      range.selectNodeContents(el);
      const sel = window.getSelection();
      sel.removeAllRanges();
      sel.addRange(range);

      try {
        const sucesso = document.execCommand("copy");
        if (sucesso) {
          const toastEl = document.querySelector('#toastCopySuccess .toast');
          const toast = new bootstrap.Toast(toastEl);
          toast.show();
        } else {
          alert("❌ Falha ao copiar.");
        }
      } catch (err) {
        alert("Erro ao copiar: " + err);
      }

      sel.removeAllRanges();
    }
  </script>
<?php endif; ?>







  
<div class="modal fade" id="modalAddCredito" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form method="POST" action="functions/add_credito.php">
      <input type="hidden" name="id" id="addId" />
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Adicionar Créditos</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
        </div>
        <div class="modal-body">
          <p class="text-center">Adicionar créditos para o revendedor <strong id="addNome"></strong></p>
          <input type="number" name="quantidade" class="form-control" placeholder="Quantidade" min="1" id="addQuantidade" required />
          <small class="text-muted">Máximo disponível: <?= $creditos ?></small>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary me-2" data-bs-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-success">Adicionar</button>
        </div>
      </div>
    </form>
  </div>
</div>

  
<div class="modal fade" id="modalRemCredito" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form method="POST" action="functions/rem_credito.php">
      <input type="hidden" name="id" id="remId" />
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Remover Créditos</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
        </div>
        <div class="modal-body">
          <p class="text-center">Remover créditos de <strong id="remNome"></strong></p>
          <input type="number" name="quantidade" class="form-control" placeholder="Quantidade" min="1" id="remQuantidade" required />
          <small class="text-muted" id="remMaxInfo">Máximo permitido: -</small>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary me-2" data-bs-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-danger">Remover</button>
        </div>
      </div>
    </form>
  </div>
</div>


<div
  class="modal fade"
  id="modalExcluir"
  tabindex="-1"
  aria-labelledby="modalToggleLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form method="POST" action="functions/excluir_revenda.php">
      <input type="hidden" name="id" id="excluirId" />
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="modalToggleLabel">Confirmar Exclusão</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
        </div>

        <div class="modal-body">
          <p class="text-center">Tem certeza que deseja excluir o revendedor <strong id="excluirNome"></strong>?</p>
        </div>

        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary me-2"
            data-bs-dismiss="modal">
            Cancelar
          </button>
          <button
            type="submit"
            class="btn btn-danger">
            Excluir
          </button>
        </div>
      </div>
    </form>
  </div>
</div>

 
  
<div
  class="modal fade"
  id="modalStatus"
  tabindex="-1"
  aria-labelledby="modalToggleLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form method="POST" action="functions/alterar_status.php">
      <input type="hidden" name="id" id="statusId" />
      <input type="hidden" name="status" id="statusNovo" />
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="tituloStatus">Alterar Status</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
        </div>

        <div class="modal-body">
          <p class="text-center" id="mensagemStatus">Deseja continuar?</p>
        </div>

        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary me-2"
            data-bs-dismiss="modal">
            Cancelar
          </button>
          <button
            type="submit"
            class="btn btn-danger">
            Confirmar
          </button>
        </div>
      </div>
    </form>
  </div>
</div>


<?php if (isset($_GET['toast'])): ?>
  <div
    class="toast-container position-fixed bottom-0 start-50 translate-middle-x p-3"
    style="z-index: 9999;">
    <div
      class="bs-toast toast fade show <?= $_GET['toast'] == 'erro' ? 'bg-danger' : 'bg-success' ?>"
      role="alert"
      aria-live="assertive"
      aria-atomic="true">
      <div class="toast-header <?= $_GET['toast'] == 'erro' ? 'bg-danger text-white' : 'bg-success text-white' ?>">
        <i class="bx <?= $_GET['toast'] == 'erro' ? 'bx-error' : 'bx-check-circle' ?> me-2"></i>
        <strong class="me-auto">
          <?= $_GET['toast'] == 'erro' ? 'Erro' : 'Sucesso' ?>
        </strong>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="toast" aria-label="Fechar"></button>
      </div>
      <div class="toast-body">
        <?= htmlspecialchars($_GET['msg'] ?? 'Operação realizada com sucesso.') ?>
      </div>
    </div>
  </div>
<?php endif; ?>
  
  
  
  
<script>
  const excluirModal = document.getElementById('modalExcluir');
  excluirModal.addEventListener('show.bs.modal', function (event) {
    const button = event.relatedTarget;
    const id = button.getAttribute('data-id');
    const nome = button.getAttribute('data-nome');

    document.getElementById('excluirId').value = id;
    document.getElementById('excluirNome').textContent = nome;
  });

  const statusModal = document.getElementById('modalStatus');
  statusModal.addEventListener('show.bs.modal', function (event) {
    const button = event.relatedTarget;
    const id = button.getAttribute('data-id');
    const novoStatus = button.getAttribute('data-status');

    document.getElementById('statusId').value = id;
    document.getElementById('statusNovo').value = novoStatus;

    const titulo = novoStatus == 1 ? "Desbloquear Revendedor" : "Bloquear Revendedor";
    const mensagem = novoStatus == 1 
      ? "Deseja desbloquear este revendedor e permitir o uso do painel?"
      : "Deseja bloquear este revendedor e suspender o acesso?";

    document.getElementById('tituloStatus').textContent = titulo;
    document.getElementById('mensagemStatus').textContent = mensagem;
  });
</script>
  
  
<script>
  const modalAdd = document.getElementById('modalAddCredito');
  modalAdd.addEventListener('show.bs.modal', function (event) {
    const button = event.relatedTarget;
    const id = button.getAttribute('data-id');
    const nome = button.getAttribute('data-nome');

    document.getElementById('addId').value = id;
    document.getElementById('addNome').textContent = nome;
  });

  const modalRem = document.getElementById('modalRemCredito');
  modalRem.addEventListener('show.bs.modal', function (event) {
    const button = event.relatedTarget;
    const id = button.getAttribute('data-id');
    const nome = button.getAttribute('data-nome');

    document.getElementById('remId').value = id;
    document.getElementById('remNome').textContent = nome;

    // Opcional: via AJAX buscar créditos atuais e preencher
      fetch(`functions/get_creditos.php?id=${id}`)
      .then(response => response.json())
      .then(data => {
        document.getElementById('remMaxInfo').textContent = `Máximo permitido: ${data.credits}`;
        document.getElementById('remQuantidade').max = data.credits;
      });
  });
</script>
  
  
  
  <div class="modal fade" id="modalAtivarCliente" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Ativar Cliente</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
      </div>
      <div class="modal-body">
        <div class="mb-3">
          <label for="username" class="form-label">Usuário do Cliente</label>
          <input type="text" class="form-control" id="username" placeholder="Digite o nome do cliente" required>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-success" onclick="procurarCliente()">Procurar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal para exibir resultado -->
<div class="modal fade" id="modalResultadoCliente" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Usuario Encontrado</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
      </div>
      <div class="modal-body">
        <div id="resultadoConteudo">
          <!-- Conteúdo preenchido via JS -->
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
        <button type="button" class="btn btn-success" onclick="abrirModalRenovar()">Renovar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal para renovar cliente -->
<div class="modal fade" id="modalRenCliente" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form method="POST" action="functions/renovar_cliente.php">
<input type="hidden" name="cliente_id" id="clienteId">
<input type="hidden" name="produto_id" id="produtoId">
<input type="hidden" name="start_time" id="startTime">
<input type="hidden" name="name" id="clienteName">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Renovar Cliente</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
        </div>
        <div class="modal-body">
          <p class="text-center">Insira a quantidade de Meses</p>
          <input type="number" name="quantidade" class="form-control" placeholder="Quantidade" min="1" id="remQuantidade" required />
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary me-2" data-bs-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-danger">Renovar</button>
        </div>
      </div>
    </form>
  </div>
</div>

<script>
function formatarDataIso(iso) {
  const data = new Date(iso);
  const dia = String(data.getDate()).padStart(2, '0');
  const mes = String(data.getMonth() + 1).padStart(2, '0');
  const ano = data.getFullYear();
  const horas = String(data.getHours()).padStart(2, '0');
  const minutos = String(data.getMinutes()).padStart(2, '0');
  return `${dia}/${mes}/${ano} às ${horas}:${minutos}`;
}

function procurarCliente() {
  const username = document.getElementById('username').value.trim();
  if (!username) return;

  const url = `functions/proxy_cliente.php?username=${encodeURIComponent(username)}`;

  fetch(url)
    .then(res => res.json())
    .then(data => {
      let html = '';

      if (Array.isArray(data) && data.length > 0) {
        const cliente = data[0];
		
			window.clienteSelecionado = cliente; // salva cliente para o submit

		
        html += `<p><strong>Nome:</strong> ${cliente.email}</p>`;
		console.log('CLIENTE:', cliente);

        html += `<p><strong>Status:</strong> ${cliente.status === 1 ? 'Ativo' : 'Inativo'}</p>`;
        html += `<p><strong>Validade:</strong> ${formatarDataIso(cliente.endTime)}</p>`;
        html += `<p><strong>Mensagem:</strong> ${cliente.exField4}</p>`;

        document.getElementById('remId').value = cliente.id;
		document.getElementById('clienteId').value = cliente.id;
document.getElementById('produtoId').value = cliente.productId;
document.getElementById('startTime').value = cliente.startTime;
document.getElementById('clienteName').value = cliente.email;

        document.getElementById('resultadoConteudo').innerHTML = html;

        const modalAtivar = bootstrap.Modal.getInstance(document.getElementById('modalAtivarCliente'));
        if (modalAtivar) modalAtivar.hide();

        const modalResultado = new bootstrap.Modal(document.getElementById('modalResultadoCliente'));
        modalResultado.show();
      } else {
        html = '<div class="alert alert-danger">Usuário não encontrado.</div>';
        document.getElementById('resultadoConteudo').innerHTML = html;
        const modalResultado = new bootstrap.Modal(document.getElementById('modalResultadoCliente'));
        modalResultado.show();
      }
    })
    .catch(err => {
      document.getElementById('resultadoConteudo').innerHTML = `<div class="alert alert-danger">Erro ao consultar API.</div>`;
      const modalResultado = new bootstrap.Modal(document.getElementById('modalResultadoCliente'));
      modalResultado.show();
    });
	

}

function abrirModalRenovar() {
  const modalResultado = bootstrap.Modal.getInstance(document.getElementById('modalResultadoCliente'));
  if (modalResultado) modalResultado.hide();

  const modalRenovar = new bootstrap.Modal(document.getElementById('modalRenCliente'));
  modalRenovar.show();
}
</script>


