<?php


session_start();
require_once 'db/db.php';

if (!isset($_SESSION['user'])) {
    header("Location: index.php");
    exit;
}

$username = $_SESSION['user'];
$userId = $_SESSION['user_id'];

$stmt = $pdo->prepare("SELECT credits FROM reg_users WHERE id = ?");
$stmt->execute([$userId]);
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$creditos = $row['credits'] ?? 0;
?>


<?php include 'includes/header.php'; ?>
<?php include 'includes/sidebar.php'; ?>
<?php include 'includes/navbar.php'; ?>


        <!-- Content wrapper -->
<div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
  <!-- Basic Layout -->
  <div class="col-xl">
    <div class="card mb-6">
      <div class="card-header d-flex justify-content-between align-items-left">
        <h5 class="mb-0">Criar Revenda</h5>
      </div>
      <div class="card-body">
        <form action="functions/create_reseller.php" method="POST">
          <div class="mb-6">
            <label class="form-label" for="basic-icon-default-fullname">Usuário</label>
            <div class="input-group input-group-merge">
              <span id="basic-icon-default-fullname2" class="input-group-text">
                <i class="bx bx-user"></i>
              </span>
              <input
                type="text"
                name="username"
                class="form-control"
                id="basic-icon-default-fullname"
                placeholder="Revendedor001"
                aria-label="Revendedor001"
                aria-describedby="basic-icon-default-fullname2"
                required />
            </div>
          </div>

          <div class="mb-6">
            <label class="form-label" for="basic-icon-default-company">Senha</label>
            <div class="input-group input-group-merge">
              <span id="basic-icon-default-company2" class="input-group-text">
                <i class="bx bx-buildings"></i>
              </span>
              <input
                type="text"
                name="senha"
                id="basic-icon-default-company"
                class="form-control"
                placeholder="Insira a senha."
                aria-label="Insira a senha."
                aria-describedby="basic-icon-default-company2"
                required />
            </div>
          </div>
		  
		  		  <div class="mb-6">
  <label class="form-label" for="basic-icon-default-creditos">Créditos</label>
  <div class="input-group input-group-merge">
    <span id="basic-icon-default-creditos2" class="input-group-text">
      <i class="bx bx-wallet"></i>
    </span>
    <input
      type="number"
      min="0"
      name="creditos"
      id="basic-icon-default-creditos"
      class="form-control"
      placeholder="Quantidade de créditos - Minimo de 5"
      required
    />
  </div>
</div>

          <div class="mb-6">
            <label class="form-label" for="basic-icon-default-email">Email</label>
            <div class="input-group input-group-merge">
              <span class="input-group-text"><i class="bx bx-envelope"></i></span>
              <input
                type="text"
                name="email"
                id="basic-icon-default-email"
                class="form-control"
                placeholder="john.doe"
                aria-label="john.doe"
                aria-describedby="basic-icon-default-email2"
                required />
              <span id="basic-icon-default-email2" class="input-group-text">@example.com</span>
            </div>
            <div class="form-text">You can use letters, numbers & periods</div>
          </div>

          <div class="mb-6">
            <label class="form-label" for="basic-icon-default-phone">Celular</label>
            <div class="input-group input-group-merge">
              <span id="basic-icon-default-phone2" class="input-group-text">
                <i class="bx bx-phone"></i>
              </span>
              <input
                type="text"
                name="celular"
                id="basic-icon-default-phone"
                class="form-control phone-mask"
                placeholder="658 799 8941"
                aria-label="658 799 8941"
                aria-describedby="basic-icon-default-phone2" />
            </div>
          </div>

          <div class="mb-6">
            <label class="form-label" for="basic-icon-default-message">Observações</label>
            <div class="input-group input-group-merge">
              <span id="basic-icon-default-message2" class="input-group-text">
                <i class="bx bx-comment"></i>
              </span>
              <textarea
                name="notas"
                id="basic-icon-default-message"
                class="form-control"
                placeholder="Insira informações importantes do seu revendedor."
                aria-label="Insira informações importantes do seu revendedor."
                aria-describedby="basic-icon-default-message2"></textarea>
            </div>
          </div>
		  



          <button type="submit" class="btn btn-primary">Criar</button>
        </form>
      </div>
    </div>
  </div>
</div>
<?php

include 'includes/footer.php';
include 'includes/scripts.php';
?>
<?php include 'includes/ativar.php'; ?>
<?php include 'includes/modals.php'; ?>

