<?php


session_start();
require_once 'db/db.php';

$username = $_SESSION['user'];
$userId = $_SESSION['user_id'];

// Busca créditos do usuário
$stmt = $pdo->prepare("SELECT credits FROM reg_users WHERE id = ?");
$stmt->execute([$userId]);
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$creditos = $row['credits'] ?? 0;

$token = 'a4b9e4ad1de7e3511b5d83ef66ea905ccac0e1163b5089b7';
$url = "https://api1.fasttv.space/api/v1in/user/?t={$token}&exField1={$userId}&exField2={$username}&limit=1000000";

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Cache-Control: no-cache',
    'Pragma: no-cache',
    'Accept: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);

$clientes = json_decode($response, true);


$search = $_GET['search'] ?? '';
$page = isset($_GET['page']) ? max(1, intval($_GET['page'])) : 1;
$limit = 10;
$offset = ($page - 1) * $limit;

// Filtro por nome de usuário (parte antes do @ no e-mail)
$clientesFiltrados = array_filter($clientes, function ($cli) use ($search) {
    $username = explode('@', $cli['email'])[0];
    return empty($search) || stripos($username, $search) !== false;
});

// Paginação manual
$total = count($clientesFiltrados);
$totalPages = ceil($total / $limit);
$clientesPaginados = array_slice($clientesFiltrados, $offset, $limit);


?>
 
<?php include 'includes/header.php'; ?>
<?php include 'includes/sidebar.php'; ?>
<?php include 'includes/navbar.php'; ?>

<div class="content-wrapper">
  <div class="container-xxl flex-grow-1 container-p-y">
    <div class="card">
      <h5 class="card-header">Meus Clientes</h5>
	  
<div class="m-3">
  <input type="text" id="searchInput" class="form-control" placeholder="Digite para buscar o usuario...">
</div>


      <div class="table-responsive text-nowrap">
        <table class="table table-striped">
          <thead>
            <tr>
              <th>Usuário</th>
              <th>Início</th>
              <th>Validade</th>
              <th>Status</th>
            </tr>
          </thead>
          <tbody class="table-border-bottom-0">
            <?php foreach ($clientes as $cli): ?>
              <tr>
                <td><strong><?= htmlspecialchars(explode('@', $cli['email'])[0]) ?></strong></td>
                <td><?= date('d/m/Y H:i', strtotime($cli['startTime'])) ?></td>
                <td><?= date('d/m/Y H:i', strtotime($cli['endTime'])) ?></td>
                <td>
                  <?php if ($cli['status'] == 1): ?>
                    <span class="badge bg-success">Ativo</span>
                  <?php else: ?>
                    <span class="badge bg-danger">Expirado</span>
                  <?php endif; ?>
                </td> 
              </tr>
            <?php endforeach; ?>
          </tbody>
        </table>
      </div>
	  
	  <nav class="mt-3">
  <ul class="pagination justify-content-center">
    <?php for ($i = 1; $i <= $totalPages; $i++): ?>
      <li class="page-item <?= $i == $page ? 'active' : '' ?>">
        <a class="page-link" href="?search=<?= urlencode($search) ?>&page=<?= $i ?>"><?= $i ?></a>
      </li>
    <?php endfor; ?>
  </ul>
</nav>

    </div>
  </div>
</div>

<?php
include 'includes/ativar.php';
include 'includes/footer.php';
include 'includes/scripts.php';
?>
<?php include 'includes/modals.php'; ?>

<script>
document.addEventListener("DOMContentLoaded", function() {
  const searchInput = document.getElementById("searchInput");
  const rows = document.querySelectorAll("tbody tr");

  searchInput.addEventListener("input", function() {
    const filter = this.value.toLowerCase();

    rows.forEach(row => {
      const usernameCell = row.querySelector("td strong");
      const username = usernameCell ? usernameCell.textContent.toLowerCase() : "";

      row.style.display = username.includes(filter) ? "" : "none";
    });
  });
});
</script>
